"""Implementation of basic sequential one-threaded scraper that downloads
files one by one."""

from scrapthechan.scraper import Scraper

__all__ = ["BasicScraper"]


class BasicScraper(Scraper):
    def run(self):
        """Download files one by one."""
        for i, f in enumerate(self._files, start=1):
            if not self._progress_callback is None:
                self._progress_callback(i)
            self._download_file(f)
